@charset "UTF-8";
/* 使用フォント */
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined");
/* レイアウト */
.archive-list.archive-monthly li {
  list-style: none;
}

.sideblock > .s-content {
  padding: 0 1%;
  -webkit-margin-after: 2rem;
          margin-block-end: 2rem;
}
.sideblock > .s-content:first-child {
  margin-top: initial;
}
.sideblock > .s-content:last-child {
  margin-bottom: initial;
  overflow: auto;
}
.sideblock .sc-title,
.sideblock .sc-list {
  -webkit-margin-before: 0;
          margin-block-start: 0;
  -webkit-margin-after: revert-layer;
          margin-block-end: revert-layer;
}

.sidecontent {
  display: block;
}

.block-index,
.block-detail {
  margin-block: 3em;
}

/* 共通デザイン */
.block-index {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5em;
}
@media screen and (max-width: 768px) {
  .block-index {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5em 0.8em;
  }
}

ul.page-numbers {
  font-size: clamp(18px, 2.4vw, 24px);
  gap: 0.5em;
}
ul.page-numbers a,
ul.page-numbers span {
  color: #60bfc2;
  border-radius: 100%;
}
ul.page-numbers span {
  background-color: rgba(96, 191, 194, 0.3);
}
ul.page-numbers li > a,
ul.page-numbers li > span {
  aspect-ratio: 1/1;
  width: 2em;
  height: -webkit-min-content;
  height: -moz-min-content;
  height: min-content;
  margin: initial;
}
ul.page-numbers li > a:not(:is(.dots, .prev, .next)) {
  border: 1px solid #60bfc2;
}

.pagination > .pagination-next, .pagination > .last, .pagination > .pagination-prev, .pagination > .start {
  aspect-ratio: 1/1;
  width: 2em;
  height: -webkit-min-content;
  height: -moz-min-content;
  height: min-content;
  margin: initial;
}

.material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 24;
}

.material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 24;
}

.single-pagination {
  margin-block: 5em;
  padding-left: 0;
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 80%;
}
.single-pagination li {
  display: flex;
  align-items: center;
  margin: 0 0.8rem;
  white-space: nowrap;
  flex-grow: 1;
  flex-shrink: 1;
  justify-content: center;
}
.single-pagination li a,
.single-pagination li span {
  color: #3fa9f5;
  text-decoration: none;
}

.category {
  min-width: 4em;
}

.entry-time {
  min-width: 5.6em;
}

.headline {
  min-width: 0;
}

.entry-text {
  margin-top: 2em;
}

.entrybox-news {
  display: flex;
  gap: 1em;
}

.excerpt {
  width: calc((1100px - 5.8em) / 4);
  font-size: 0.825em;
  background-color: #b9e6fa;
  padding: 1.5em;
  border-radius: 20px;
}
.excerpt .entry-name {
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  font-size: 1.21em;
}
.excerpt a {
  text-decoration: none;
  color: currentColor;
}
@media screen and (max-width: 768px) {
  .excerpt {
    width: 100%;
  }
}

.eyecatch {
  aspect-ratio: 19/21;
  overflow: hidden;
  margin-bottom: 0.8em;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
}
.eyecatch img {
  aspect-ratio: 19/21;
  -o-object-fit: cover;
     object-fit: cover;
}

.entry-time {
  min-width: 5.6em;
  color: #3fa9f5;
  font-size: 1.16em;
}

/* ブログ */
.sc-title-album {
  font-family: fot-tsukuardgothic-std, sans-serif;
  font-style: normal;
  font-weight: 700;
  color: #3fa9f5;
  font-size: 2em;
}

.sidecontent-archive {
  padding-inline: 2em;
  border-image-source: url(../images/post/border_pc.png);
  border-image-slice: 45;
  border-image-width: 45px;
  border-image-outset: 30px 4px 30px;
  border-image-repeat: round;
  position: relative;
  z-index: 1;
}
.sidecontent-archive .archive-monthly {
  font-size: 1.2em;
  font-family: fot-tsukuardgothic-std, sans-serif;
  display: flex;
  gap: 1em 2em;
  flex-wrap: wrap;
}
@media screen and (max-width: 768px) {
  .sidecontent-archive .archive-monthly {
    padding-left: 0;
    gap: 0.5em 1em;
  }
  .sidecontent-archive li {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    min-width: 45%;
    height: 45px;
    box-shadow: 3px 3px 5px 0px rgba(0, 0, 0, 0.25);
  }
  .sidecontent-archive li a {
    display: flex;
    width: 100%;
    height: 100%;
    min-width: 45%;
    align-items: center;
    justify-content: center;
  }
}